## stuntrally 2.6.1

=== CMakeLists.txt ===
project(StuntRally CXX C)
cmake_minimum_required(VERSION 2.8)

# Allow disabling game building
option(BUILD_GAME             "Build the game binary."    ON)

# Allow disabling editor building
option(BUILD_EDITOR           "Build the track editor."   ON)

# Allow disabling master server building
option(BUILD_MASTER_SERVER    "Build the master server."  OFF)


# Avoid source tree pollution
if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
	message(FATAL_ERROR "In-source builds are not permitted. Make a separate folder for building:\nmkdir build; cd build; cmake ..\nBefore that, remove the files already created:\nrm -rf CMakeCache.txt CMakeFiles")
endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)

# Add a sensible build type default and warning because empty means no optimization and no debug info.
if(NOT CMAKE_BUILD_TYPE)
	message("WARNING: CMAKE_BUILD_TYPE is not defined!\n         Defaulting to CMAKE_BUILD_TYPE=RelWithDebInfo. Use ccmake to set a proper value.")
	set(CMAKE_BUILD_TYPE RelWithDebInfo
	CACHE STRING "Type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)


# Set default compile flags for GCC
if(CMAKE_COMPILER_IS_GNUCXX)
	message(STATUS "GCC detected, adding compile flags")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
endif()


# Set default compile flags for VS
if(MSVC)
	message(STATUS "VS detected, adding /MP flag (multiprocessor compile)")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
endif()



# Include path for additional CMake library finding scripts
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

# We want the binaries to be easily accessible
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})


# Data installation path
if(WIN32)
	set(SHARE_INSTALL "."
	CACHE STRING "Data file install path. Must be a relative path (from CMAKE_INSTALL_PREFIX), with no trailing slash.")
else()
	if(NOT SHARE_INSTALL)
		set(SHARE_INSTALL "share/games/stuntrally"
		CACHE STRING "Data file install path. Must be a relative path (from CMAKE_INSTALL_PREFIX), with no trailing slash.")
	endif()
endif()
mark_as_advanced(SHARE_INSTALL)
#TODO: This would be more elegant and compiler independent to do through configure_file(),
#      but that would break other build systems for good.
add_definitions(-DSHARED_DATA_DIR="${SHARE_INSTALL}")

if (DEFINED CMAKE_BUILD_TYPE)
	if (CMAKE_BUILD_TYPE STREQUAL "Debug")
		add_definitions(-D_DEBUG="")
	endif()
endif()


if(WIN32)
	set(Boost_USE_STATIC_LIBS   ON)
endif(WIN32)

set(BOOST_COMPONENTS system thread filesystem wave)


find_package(Boost COMPONENTS ${BOOST_COMPONENTS} REQUIRED QUIET)
include_directories(${Boost_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})
list(APPEND LIBS ${Boost_LIBRARIES})


# We can significantly reduce deps if only building master server
if(BUILD_GAME OR BUILD_EDITOR)
	find_package(OGRE REQUIRED QUIET)
        include_directories(${OGRE_INCLUDE_DIRS} ${OGRE_Terrain_INCLUDE_DIRS} ${OGRE_Paging_INCLUDE_DIRS})
        # Overlay moved to separate component in 1.9
        if (OGRE_VERSION_MAJOR GREATER 1 OR OGRE_VERSION_MINOR GREATER 8)
            include_directories(${OGRE_Overlay_INCLUDE_DIRS})
        endif()
        link_directories(${OGRE_LIBRARY_DIRS})
        list(APPEND LIBS ${OGRE_LIBRARIES} ${OGRE_Terrain_LIBRARIES} ${OGRE_Paging_LIBRARIES})
        # Overlay moved to separate component in 1.9
        if (OGRE_VERSION_MAJOR GREATER 1 OR OGRE_VERSION_MINOR GREATER 8)
            list(APPEND LIBS ${OGRE_Overlay_LIBRARIES})
        endif()
        add_definitions(-DOGRE_PLUGIN_DIR_REL="${OGRE_PLUGIN_DIR_REL}")
        add_definitions(-DOGRE_PLUGIN_DIR_DBG="${OGRE_PLUGIN_DIR_DBG}")

	find_package(Bullet REQUIRED QUIET)
	include_directories(${BULLET_INCLUDE_DIRS})
	list(APPEND LIBS ${BULLET_LIBRARIES})

	find_package(SDL2 REQUIRED)
	include_directories(${SDL2_INCLUDE_DIR})
	link_directories(${SDL2_LIBRARY_DIRS})
	list(APPEND LIBS ${SDL2_LIBRARY})

	find_package(MyGUI REQUIRED QUIET)
	include_directories(${MYGUI_INCLUDE_DIRS})
	include_directories(${MYGUI_PLATFORM_INCLUDE_DIRS})
	link_directories(${MYGUI_LIB_DIR})

	IF(MSVC)
		list(APPEND LIBS ${MYGUI_LIBRARIES} ${MYGUI_PLATFORM_LIBRARIES})
	ELSE(MSVC)
		list(APPEND LIBS ${MYGUI_LIBRARIES} MyGUI.OgrePlatform) #TODO: MyGUI.OgrePlatform is not added by the find script
	ENDIF(MSVC)

	foreach(lib  OGG VorbisFile)    # Simple libraries added in a loop
		find_package(${lib} REQUIRED QUIET)
		include_directories(${${lib}_INCLUDE_DIRS})
		list(APPEND LIBS ${${lib}_LIBRARIES})
	endforeach()

	if(UNIX)
		list(APPEND LIBS "rt")   # For clock_gettime()
	endif()
endif()

# only game has sound
if(BUILD_GAME)
	find_package(OpenAL REQUIRED)
	include_directories(${OPENAL_INCLUDE_DIR})
	list(APPEND LIBS ${OPENAL_LIBRARY})
endif()

# Editor doesn't need networking
if(BUILD_GAME OR BUILD_MASTER_SERVER)
	find_package(ENet REQUIRED QUIET)
	include_directories(${ENet_INCLUDE_DIRS})
	list(APPEND LIBS ${ENet_LIBRARIES})
endif()

# Server dependencies
list(APPEND SERVER_LIBS ${ENet_LIBRARIES} ${Boost_LIBRARIES})


# Subdirectories

add_subdirectory(source)
add_subdirectory(config)
add_subdirectory(dist)
add_subdirectory(data)

=== config/CMakeLists.txt ===
# Install config files
file(GLOB CONFIG_FILES "*.cfg")
install(FILES ${CONFIG_FILES} DESTINATION ${SHARE_INSTALL}/config/)
file(GLOB XML_FILES "*.xml")
install(FILES ${XML_FILES} DESTINATION ${SHARE_INSTALL}/config/)
file(GLOB INI_FILES "*.ini")
install(FILES ${INI_FILES} DESTINATION ${SHARE_INSTALL}/config/)

=== data/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# Install data files
# TODO: make this use all data/* subdirs without tracks, not entered by hand ..
foreach(datadir  cars carsim compositor editor fonts ghosts grass gui hud loading materials materials2 objects objects0 objectsC particles road road_s skies skies_s sounds terrain terrain_s trees-old trees trees2)
	install(DIRECTORY ${datadir} DESTINATION ${SHARE_INSTALL})
endforeach()

# Issue warning for missing tracks
if (EXISTS "${CMAKE_SOURCE_DIR}/data/tracks")
	add_subdirectory("${CMAKE_SOURCE_DIR}/data/tracks")
else()
	message("WARNING: No tracks could be found for installation.")
endif()

=== dist/CMakeLists.txt ===

if(UNIX)
	install(FILES stuntrally.desktop sr-editor.desktop DESTINATION "share/applications/")
	install(FILES ../data/gui/stuntrally.png ../data/gui/sr-editor.png DESTINATION "share/icons/hicolor/64x64/apps/")
endif()

=== source/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# Linux prefers lower-case exe names
if(WIN32 OR APPLE)
	set(GAME_EXE StuntRally)
	set(EDITOR_EXE SR-Editor)
	set(SERVER_EXE SR-MasterServer)
else()
	set(GAME_EXE stuntrally)
	set(EDITOR_EXE sr-editor)
	set(SERVER_EXE sr-masterserver)
endif()

# Search include files from all source sub directories
include_directories(btOgre ogre ogre/common paged-geom road tinyxml sound vdrift)


# Compile our libraries  ------
if (BUILD_GAME OR BUILD_EDITOR)

	foreach(ourlib  oics tinyxml paged-geom btOgre)
		add_subdirectory(${ourlib})
		list(APPEND OURLIBS ${ourlib})
	endforeach()

	add_subdirectory(shiny)
	list(APPEND OURLIBS "shiny")
	list(APPEND OURLIBS "shiny.OgrePlatform")

	add_subdirectory(sdl4ogre)
	list(APPEND OURLIBS "sdl4ogre")
endif()


# Game executable  ------
if (BUILD_GAME)

	# Glob .cpp files needed for the game
	file(GLOB GAME_SOURCES
		vdrift/*
		sound/*
		ogre/*.h
		ogre/*.cpp
		ogre/common/*.cpp
		ogre/common/*.h
		ogre/common/*/*.cpp
		ogre/common/*/*.h
		road/*
		network/*.hpp
		network/*.cpp
		../config/*
		../data/gui/Game.layout
		../data/materials/*.*
	)

	source_group(sound sound/*)
	source_group(road road/*)
	source_group(ogre ogre/*)
	source_group(common ogre/common/*)
	source_group(network network*)
	source_group(ogre_gui ogre/gui*)
	source_group(ogre_hud ogre/hud*)
	source_group(vdrift\\rest vdrift/*)
	#source_group(vdrift\\game Buoy|coll|game|sound|settings)
	source_group(vdrift_car vdrift/car*)
	source_group(xml ../config/*)
	source_group(xml_gui ../data/*/core*.xml)
	source_group(mat ../data/materials/*.*)

	if (MSVC)
		add_executable(${GAME_EXE} WIN32 ${GAME_SOURCES})
	else (MSVC)
		add_executable(${GAME_EXE} ${GAME_SOURCES})
	endif(MSVC)
	target_link_libraries(${GAME_EXE} ${OURLIBS} ${LIBS})
	install(TARGETS ${GAME_EXE} DESTINATION bin)
endif()


# Editor
if (BUILD_EDITOR)
	# Glob .cpp files needed for the editor
	file(GLOB EDITOR_SOURCES
		editor/*.cpp
		editor/*.h
		vdrift/configfile.*
		vdrift/pathmanager.*
		vdrift/track.*
		vdrift/k1999.*
		vdrift/model.*
		vdrift/vertexarray.*
		vdrift/roadstrip.*
		vdrift/bezier.*
		vdrift/objectloader.*
		vdrift/joepack.*
		vdrift/track_object.*
		vdrift/model_joe03.*
		vdrift/roadpatch.*
		vdrift/cartire.*
		vdrift/par.*
		ogre/common/*.cpp
		ogre/common/*.h
		ogre/common/*/*.cpp
		ogre/common/*/*.h
		ogre/ReplayTrk.*
		road/*
		../data/gui/Editor.layout
	)

	source_group(road road/*)
	source_group(editor editor/*)
	source_group(common ogre/common/*)
	source_group(editor_gui editor/gui*)
	source_group(vdrift vdrift/*)

	add_executable(${EDITOR_EXE} ${EDITOR_SOURCES})
	set_target_properties(${EDITOR_EXE} PROPERTIES COMPILE_FLAGS "-DSR_EDITOR")
	target_link_libraries(${EDITOR_EXE} ${OURLIBS} ${LIBS})
	install(TARGETS ${EDITOR_EXE} DESTINATION bin)
endif()


# Master server
if (BUILD_MASTER_SERVER)
	file(GLOB SERVER_SOURCES network/master-server/main.cpp) # Glob .cpp files needed for the server
	add_executable(${SERVER_EXE} ${SERVER_SOURCES})
	target_link_libraries(${SERVER_EXE} ${SERVER_LIBS})
	install(TARGETS ${SERVER_EXE} DESTINATION bin)
endif()


if (MSVC)
	file(GLOB GAME_SOURCES
		btOgre/*.cpp
		editor/*.cpp
		ogre/*.cpp
		ogre/common/*.cpp
		paged-geom/*.cpp
		road/*.cpp
		vdrift/*.cpp
		sound/*.cpp
	)

	foreach( src_file ${GAME_SOURCES} )
		set_source_files_properties(
			${src_file}
			PROPERTIES
			COMPILE_FLAGS "/Yupch.h"
		)
	endforeach( src_file ${GAME_SOURCES} )

	set_source_files_properties(editor/pch.cpp
		PROPERTIES
		COMPILE_FLAGS "/Ycpch.h"
	)

	set_source_files_properties(ogre/pch.cpp
		PROPERTIES
		COMPILE_FLAGS "/Ycpch.h"
	)
endif (MSVC)

=== source/btOgre/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set(LIBNAME "btOgre")

# Sources
file(GLOB SOURCE_FILES *.cpp)

# Create a static library
add_library(${LIBNAME} STATIC ${SOURCE_FILES})

link_directories(${CMAKE_CURRENT_BINARY_DIR})

=== source/oics/CMakeLists.txt ===
set(OICS_LIBRARY "oics")

# Sources

set(OICS_SOURCE_FILES
	ICSChannel.cpp
	ICSControl.cpp
	ICSInputControlSystem.cpp
	ICSInputControlSystem_keyboard.cpp
	ICSInputControlSystem_mouse.cpp
	ICSInputControlSystem_joystick.cpp
)

add_library(${OICS_LIBRARY} STATIC ${OICS_SOURCE_FILES})

link_directories(${CMAKE_CURRENT_BINARY_DIR})

=== source/paged-geom/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set(LIBNAME "paged-geom")

# Sources
file(GLOB SOURCE_FILES *.cpp)

# Create a static library
add_library(${LIBNAME} STATIC ${SOURCE_FILES})

link_directories(${CMAKE_CURRENT_BINARY_DIR})

=== source/sdl4ogre/CMakeLists.txt ===
set(SDL4OGRE_LIBRARY "sdl4ogre")

# Sources

set(SDL4OGRE_SOURCE_FILES
	sdlinputwrapper.cpp
	sdlcursormanager.cpp
        sdlwindowhelper.cpp
)

set(SDL4OGRE_HEADER_FILES
	OISCompat.h
	cursormanager.hpp
)

add_library(${SDL4OGRE_LIBRARY} STATIC ${SDL4OGRE_SOURCE_FILES} ${SDL4OGRE_HEADER_FILES})

link_directories(${CMAKE_CURRENT_BINARY_DIR})


target_link_libraries(${SDL4OGRE_LIBRARY} ${SDL2_LIBRARY})

=== source/shiny/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set(SHINY_MAJOR_VERSION 0)
set(SHINY_MINOR_VERSION 3)

# This is NOT intended as a stand-alone build system! Instead, you should include this from the main CMakeLists of your project.
# Make sure to link against Ogre, boost::filesystem and boost::wave.

find_package(Boost REQUIRED QUIET COMPONENTS system filesystem wave)

option(SHINY_BUILD_OGRE_PLATFORM "build the Ogre platform" ON)
option(BUILD_SHARED_LIBS "Build shared libraries" OFF)
if(BUILD_SHARED_LIBS)
    set(SHINY_LIBRARY_TYPE SHARED)
else(BUILD_SHARED_LIBS)
    set(SHINY_LIBRARY_TYPE STATIC)
endif(BUILD_SHARED_LIBS)

set(SHINY_LIBRARY "shiny")
set(SHINY_OGREPLATFORM_LIBRARY "shiny.OgrePlatform")

# Sources of shiny
set(SOURCE_FILES
    Main/Factory.cpp
    Main/MaterialInstance.cpp
    Main/MaterialInstancePass.cpp
    Main/MaterialInstanceTextureUnit.cpp
    Main/Platform.cpp
    Main/Preprocessor.cpp
    Main/PropertyBase.cpp
    Main/ScriptLoader.cpp
    Main/ShaderInstance.cpp
    Main/ShaderSet.cpp
)

include_directories(${Boost_INCLUDE_DIRS})
add_definitions(-DBOOST_ALL_NO_LIB)
add_library(${SHINY_LIBRARY} ${SHINY_LIBRARY_TYPE} ${SOURCE_FILES})
if(BUILD_SHARED_LIBS)
    target_link_libraries(${SHINY_LIBRARY} ${Boost_LIBRARIES})
    set_target_properties(${SHINY_LIBRARY} PROPERTIES SOVERSION "${SHINY_MAJOR_VERSION}.${SHINY_MINOR_VERSION}")
endif(BUILD_SHARED_LIBS)

set(SHINY_LIBRARIES ${SHINY_LIBRARY})

if (SHINY_BUILD_OGRE_PLATFORM)
    if(NOT DEFINED OGRE_INCLUDE_DIRS)
        find_package(OGRE REQUIRED)
    endif()
    include_directories(${Boost_INCLUDE_DIRS} ${OGRE_INCLUDE_DIRS})

    # Sources of shiny.OgrePlatform
    set(OGRE_PLATFORM_SOURCE_FILES
        Platforms/Ogre/OgreGpuProgram.cpp
        Platforms/Ogre/OgreMaterial.cpp
        Platforms/Ogre/OgreMaterialSerializer.cpp
        Platforms/Ogre/OgrePass.cpp
        Platforms/Ogre/OgrePlatform.cpp
        Platforms/Ogre/OgreTextureUnitState.cpp
    )
    file(GLOB OGRE_PLATFORM_SOURCE_FILES Platforms/Ogre/*.cpp)

    add_definitions(-DBOOST_ALL_NO_LIB)
    add_library(${SHINY_OGREPLATFORM_LIBRARY} ${SHINY_LIBRARY_TYPE} ${OGRE_PLATFORM_SOURCE_FILES})
    add_dependencies(${SHINY_OGREPLATFORM_LIBRARY} ${SHINY_LIBRARY})
    set(SHINY_LIBRARIES ${SHINY_LIBRARIES} ${SHINY_OGREPLATFORM_LIBRARY})
endif()

set(SHINY_LIBRARY ${SHINY_LIBRARY} PARENT_SCOPE)

if (DEFINED SHINY_BUILD_MATERIAL_EDITOR)
    add_subdirectory(Editor)

    set(SHINY_BUILD_EDITOR_FLAG ${SHINY_BUILD_EDITOR_FLAG} PARENT_SCOPE)
endif()

link_directories(${CMAKE_CURRENT_BINARY_DIR})
set(SHINY_LIBRARIES ${SHINY_LIBRARIES} PARENT_SCOPE)

=== source/tinyxml/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set(LIBNAME "tinyxml")

# Sources
file(GLOB SOURCE_FILES *.cpp)

# Create a static library
add_library(${LIBNAME} STATIC ${SOURCE_FILES})

link_directories(${CMAKE_CURRENT_BINARY_DIR})

## stuntrally 2.6

=== debian/changelog ===
stuntrally (2.6-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add gcc-6.patch from AUR to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Apr 2018 18:35:21 -0700

stuntrally (2.6-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Comment out unavailable libmirclient-dev as a build-depend.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 21 Aug 2016 20:44:50 -0700

stuntrally (2.6-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 21 Sep 2015 18:59:58 +0200

stuntrally (2.5-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 16 Nov 2014 20:57:59 +0100

stuntrally (2.4-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 08 Aug 2014 23:37:35 +0200

stuntrally (2.3-1~getdeb1) trusty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 11 May 2014 16:37:09 +0200

stuntrally (2.2.1-1~getdeb2~trusty) trusty; urgency=low

  * Rebuild for trusty

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Apr 2014 19:51:09 +0200

stuntrally (2.2.1-1~getdeb1) saucy; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 28 Nov 2013 19:24:21 +0100

stuntrally (2.2-1~getdeb1) saucy; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 24 Nov 2013 21:36:57 +0100

stuntrally (2.1-1~getdeb1) saucy; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 02 Nov 2013 16:19:12 +0100

stuntrally (2.0-1~getdeb3~saucy) saucy; urgency=low

  * Rebuild for saucy

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 14 Oct 2013 22:02:32 +0200

stuntrally (2.0-1~getdeb2~quantal) quantal; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 05 May 2013 00:10:44 +0200

stuntrally (1.9-1~getdeb2~quantal) quantal; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 12 Feb 2013 17:15:15 +0100

stuntrally (1.8-1~getdeb3~quantal) quantal; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 03 Nov 2012 14:10:02 +0100

stuntrally (1.7-1~getdeb2) quantal; urgency=low

  * Rebuild for quantal

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 21 Oct 2012 12:16:51 +0200

stuntrally (1.7-1~getdeb1) precise; urgency=low

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 02 Sep 2012 12:10:58 +0200

stuntrally (1.6-1~getdeb2) precise; urgency=low

  * Rebuild for bullet 2.8

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 25 Jul 2012 18:46:18 +0200

stuntrally (1.6-1~getdeb1) oneiric; urgency=low

  * New upstream version (LP: #986027)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 21 Apr 2012 11:30:03 +0200

stuntrally (1.4-1~getdeb2) oneiric; urgency=low

  * Rebuild against Ogre 1.7.4

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 14 Apr 2012 18:48:24 +0200

stuntrally (1.4-1~getdeb1) oneiric; urgency=low

  * New upstream version (LP: #903644)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 26 Feb 2012 20:26:55 +0100

stuntrally (1.1.1-1~getdeb4~natty) natty; urgency=low

  * Rebuild against Ogre 1.7.3

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 12 May 2011 17:00:47 +0200

stuntrally (1.1.1-1~getdeb2~natty) natty; urgency=low

  * Rebuild for natty.

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 22 Apr 2011 17:22:25 +0200

stuntrally (1.1.1-1~getdeb1) lucid; urgency=low

  * Upload to PlayDeb.net (LP: #750861)

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 06 Apr 2011 21:19:29 +0200

stuntrally (1.1.1-0~ppa1~maverick) maverick; urgency=low

  [ Tapio Vierros ]
  * New upstream release

 -- Tapio Vierros <tapiovierros@gmail.com>  Tue, 05 Apr 2011 23:08:11 +0300

stuntrally (1.1-0~ppa1) maverick; urgency=low

  [ Tapio Vierros ]
  * New upstream release

 -- Tapio Vierros <tapiovierros@gmail.com>  Sun, 03 Apr 2011 11:15:43 +0300

=== debian/control ===
Source: stuntrally
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.6),
               pkg-config,
               libogre-1.9-dev,
               libmygui-dev (>= 3.2.0),
               libois-dev,
               libsdl2-dev,
#               libmirclient-dev,
               libogg-dev,
               libvorbis-dev,
               libfreeimage-dev,
               libbullet-dev,
               libbullet-extras-dev,
               libenet-dev,
               libxcursor-dev,
               libboost-dev,
               libboost-wave-dev,
               libopenal-dev
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/vdrift-ogre

Package: stuntrally
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         stuntrally-data (= ${source:Version}),
         stuntrally-tracks (>= 2.6),
         libfreeimage3,
         libzzip-0-13
Description: Rally game with stunt elements
 Rally game with Stunt elements, based on VDrift and OGRE.

Package: stuntrally-data
Architecture: all
Depends: ${misc:Depends},
         ttf-bitstream-vera,
         fonts-liberation
Description: Rally game with stunt elements (data package)
 Rally game with Stunt elements, based on VDrift and OGRE.
 .
 (This package includes data files required by the game.)

Package: stuntrally-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         stuntrally (= ${binary:Version})
Description: Rally game with stunt elements (debug)
 Rally game with Stunt elements, based on VDrift and OGRE.
 .
 (This package includes the debugging symbols)

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -B$(CURDIR)/build-tree --parallel

override_dh_auto_configure:
	mkdir -p $(CURDIR)/build-tree
	cd $(CURDIR)/build-tree; \
	 cmake .. \
	 -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
	 -DCMAKE_INSTALL_PREFIX:STRING="/usr" \
	 -DCMAKE_C_FLAGS:STRING="$(CFLAGS)" \
	 -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/lib/games/stuntrally
	mv debian/tmp/usr/bin/* debian/tmp/usr/lib/games/stuntrally/
	rmdir debian/tmp/usr/bin

	rm debian/tmp/usr/share/games/stuntrally/fonts/Vera.ttf
	rm debian/tmp/usr/share/games/stuntrally/fonts/VeraMono.ttf

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=stuntrally-dbg

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## stuntrally 2.6.1

=== debian/changelog ===
stuntrally (2.6.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 05 Nov 2021 11:27:53 -0400

stuntrally (2.6.1-1mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Drop gcc-6.patch: fixed upstream.
  * Drop -dbg package and disable automatic dbgsym packages.
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Nov 2019 12:51:11 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: stuntrally
 Section: games
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>, SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
 Build-Depends: debhelper (>= 9),
                cmake (>= 2.6),
@@ -44,15 +44,3 @@
  Rally game with Stunt elements, based on VDrift and OGRE.
  .
  (This package includes data files required by the game.)
-
-Package: stuntrally-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
-         stuntrally (= ${binary:Version})
-Description: Rally game with stunt elements (debug)
- Rally game with Stunt elements, based on VDrift and OGRE.
- .
- (This package includes the debugging symbols)
-

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_install --list-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=stuntrally-dbg
+	dh_strip --no-automatic-dbgsym
 
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
